ServerEvents.recipes(event => {
    event.recipes.botanypots.crop(
        "minecraft:spruce_sapling",
        ["dirt"],
        {block:"minecraft:spruce_sapling"},
        [
            Item.of("minecraft:spruce_log")
                .withChance(1)
                .withRolls(1,2),

            Item.of("seeddelight:pinecone")
                .withChance(1)
                .withRolls(2,4),

            Item.of("minecraft:spruce_sapling")
                .withChance(0.15)
                .withRolls(1,1)
        ],
        2400,
        1
    )
})